Page updated: 06/09/2004
About the website

                        Valid XHTML 1.0!

 
gLite 3.0

glite-SE_dpm_oracle - Update to version 3.0.20-0

Date 14.01.08
Priority Normal

Description


This update fixes various bugs. For the full list of bugs, please see list below.
YAIM updates

Please see the general release page for the YAIM release notes.
VOMS API/client updates

Update to voms 1.7.24 and gSOAP 2.7.
DPM updates
  • New DPM Python interface
  • Upgrade from gSOAP 2.6.2 to 2.7.6b
  • updated YAIM scripts for YAIM v4
Please also have a look at the list of known issues.

Fixed bugs

Number Description
 #19878 DNs with "." are not properly handled
 #20595 DPM cannot reconnect to mysql - GGUS-Ticket-ID: #13998
 #20880 man lfc_python : lfc_readdirxr : Example contains big errors
 #24493 LFC Oracle script errors
 #25065 dpm-drain should accept a GID to drain off only a specific group's files
 #27146 YAIM overwrites /etc/java/java.conf
 #27590 cannot load python/perl dpm module
 #27627 dpm-updatespace does not work when token_desc supplied
 #27810 Some lfc-file-catalog service types do not have GlueServiceUniqueID attribute set
 #28364 YAIM should not overwrite sysconfig file if it exists (LFC and DPM)
 #28838 SRM_v1 daemon in 1.6.x 'hangs' with no load after some hours
 #28922 Connections to dpm.ftpd daemon in CLOSE_WAIT state
 #29324 create-default-dirs-CLASSICSE.sh doesn't work with DNS-like VO names
 #29403 BATCH_LOG_DIR variable in site-info.def undefined
 #30249 DPM-gridftp daemon error answer when GET'ing a 0-sized file in the DPM area
 #30669 LFC has difficulties with a DN containing a '

Updated rpms

Name Version Full RPM name Description
CGSI_gSOAP_2.7 1.2.1-2 CGSI_gSOAP_2.7-1.2.1-2.i386.rpm GSI plugin for gSOAP
CGSI_gSOAP_2.7-voms 1.2.1-2 CGSI_gSOAP_2.7-voms-1.2.1-2.i386.rpm GSI plugin for gSOAP -- VOMSified libraries
DPM-client 1.6.7-2sec.slc3 DPM-client-1.6.7-2sec.slc3.i386.rpm APIs and CLIs for the DPM/DPNS
DPM-gridftp-server 1.6.7-1sec DPM-gridftp-server-1.6.7-1sec.i386.rpm GridFTP server enabled to work with the Lightweight Disk Pool Manager - DPM
DPM-name-server-oracle 1.6.7-2sec.slc3 DPM-name-server-oracle-1.6.7-2sec.slc3.i386.rpm DPNS Oracle Server
DPM-rfio-server 1.6.7-2sec.slc3 DPM-rfio-server-1.6.7-2sec.slc3.i386.rpm DPM RFIO server
DPM-server-oracle 1.6.7-2sec.slc3 DPM-server-oracle-1.6.7-2sec.slc3.i386.rpm DPM Oracle Server
DPM-srm-server-oracle 1.6.7-2sec.slc3 DPM-srm-server-oracle-1.6.7-2sec.slc3.i386.rpm SRM Oracle Servers
glite-security-voms-api 1.7.24-1 glite-security-voms-api-1.7.24-1.i386.rpm gLite Security VOMS APIs
glite-security-voms-api-c 1.7.24-1 glite-security-voms-api-c-1.7.24-1.i386.rpm Change me !!!
glite-security-voms-api-cpp 1.7.24-1 glite-security-voms-api-cpp-1.7.24-1.i386.rpm Change me !!!
glite-security-voms-clients 1.7.24-1 glite-security-voms-clients-1.7.24-1.i386.rpm Change me !!!
glite-SE_dpm_oracle 3.0.20-0 glite-SE_dpm_oracle-3.0.20-0.noarch.rpm gLite SE DPM Oracle node
glite-yaim-core 4.0.3-6 glite-yaim-core-4.0.3-6.noarch.rpm glite-yaim-core
lcg-dm-common 1.6.7-2sec.slc3 lcg-dm-common-1.6.7-2sec.slc3.i386.rpm LCG Data Management common libraries and man pages.
lcg-service-proxy 1.0.3-2 lcg-service-proxy-1.0.3-2.noarch.rpm LCG Service Proxy

The RPMs can be updated using apt via

Service reconfiguration after update

Not needed.

Service restart after update

Not needed.

How to apply the fix

  1. Update the RPMs (see above)
  2. Update configuration (see above)
  3. Restart the service if necessary (see above)